Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Interface SnapshotRecordingMonitorMBean

All Known Implementing Classes:
  SnapshotRecordingMonitor

public interface SnapshotRecordingMonitorMBean

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke

Method Summary
`void` | `clearData()`
`void` | `endSnapshot()`
`ArrayList` | `getData()`
`long` | `getEndTime()`
`String` | `getMonitorName()`
`String` | `getObservedAttribute()`
`javax.management.ObjectName` | `getObservedObject()`
`long` | `getPeriod()`
`long` | `getStartTime()`
`boolean` | `isRecording()`
`void` | `setMonitorName(String name)`
`void` | `setObservedAttribute(String attr)`
`void` | `setObservedObject(javax.management.ObjectName oname)`
`void` | `setPeriod(long period)`
`void` | `startSnapshot()`

Method Detail

### getMonitorName

    public String getMonitorName()

### setMonitorName

    public void setMonitorName(String name)

### getObservedObject

    public javax.management.ObjectName getObservedObject()

### setObservedObject

    public void setObservedObject(javax.management.ObjectName oname)

### getObservedAttribute

    public String getObservedAttribute()

### setObservedAttribute

    public void setObservedAttribute(String attr)

### getPeriod

    public long getPeriod()

### setPeriod

    public void setPeriod(long period)

### getData

    public ArrayList getData()

### clearData

    public void clearData()

### startSnapshot

    public void startSnapshot()

### endSnapshot

    public void endSnapshot()

### getStartTime

    public long getStartTime()

### getEndTime

    public long getEndTime()

### isRecording

    public boolean isRecording()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.